Bug 34149

Summary: fixed URLs for use in IDE
Product: obsolete Reporter: jcatchpoole <jcatchpoole>
Component: collabnetAssignee: jcatchpoole <jcatchpoole>
Status: RESOLVED INVALID QA Contact: issues <issues.netbeans.org>
Priority: P3 CC: jglick, mihmax, mmirilovic
Version: 3.x   
Target Milestone: TBD   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: DEFECT Exception Report:
Bug Depends on:    
Bug Blocks: 34621    
Attachments: Uses of netbeans.org URLs in **/*.properties

Description jcatchpoole 2003-06-04 14:28:21 UTC
Every nb.org redesign, most URLs change.  This usually
breaks any old NB release out there, which includes a few
hard-coded URLs to things like feedback, issues, etc.

We should set up a short list of permanent URLs which never
change, for use in the IDE.

I suggest putting them all at root level, eg like :

/contact.html
/issues.html
/faqs.html

For various reasons I don't think it is a good idea to 
have the real content at those URLs (eg wouldn't work with
current site navigation infrastructure), but have those 
URLs redirect to the right place.

Pls add any other required URLs here.

See also : issue 34127, issue 23850.
Comment 1 Jesse Glick 2003-06-04 16:58:40 UTC
/updates/** and /dtds/** of course fall into this category.
Comment 2 jcatchpoole 2003-06-12 16:47:34 UTC
I've added the three URLs mentioned here.  Any ideas how 
I go about finding a more complete list of URLs used in
the IDE ?
Comment 3 jcatchpoole 2003-06-19 13:35:55 UTC
*** Issue 27407 has been marked as a duplicate of this issue. ***
Comment 4 Jesse Glick 2003-06-20 17:29:58 UTC
See attached output from

$ find * -name \*.properties -exec egrep 'http://.*netbeans\.org' {}
\; -print
Comment 5 Jesse Glick 2003-06-20 17:32:28 UTC
Sorry, modified command:

$ find * -name \*.properties -exec egrep
'^[^#].*ttp://.*netbeans\.org' {} \; -print
Comment 6 Jesse Glick 2003-06-20 17:33:24 UTC
Created attachment 10755 [details]
Uses of netbeans.org URLs in **/*.properties
Comment 7 jcatchpoole 2003-06-25 19:02:24 UTC
OK, thanks Jesse.  Not sure that URLs to files on other
websites are appropriate for this issue ... I think www is
the site where pages move around the most, and hence needs 
these non-moving URLs.  Maybe module owners should create
similar fixed URLs on their module websites ?

So, looking at links to www
- excluding /updates/*;
- excluding links to http://www.netbeans.org/;
- excluding links to images/logo.gif (already has a "never 
  move" policy);
- excluding links to links that are already permanent-ised
  in this issue, like /issues.html and /bugs.html

that leaves just 6 links :
--
	Please report this at 
http://www.netbeans.org/community/issues.html,\n\
core/src/org/netbeans/core/Bundle.properties

	Please report this at 
http://www.netbeans.org/community/issues.html, including a 
copy of your ide.log file.\n\
openide/src/org/openide/Bundle.properties

        See 
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/o
penide/doc-files/upgrade.html#3.5i-sep
openide/deprecated/src/org/openide/deprecated/Bundle.proper
ties

	Please report this at 
http://www.netbeans.org/devhome/issues.html,\n\
translatedfiles/src/core/src/org/netbeans/core/Bundle_ja.pr
operties

	Please report this at 
http://www.netbeans.org/devhome/issues.html, including a 
copy of your ide.log file.\n\
translatedfiles/src/openide/src/org/openide/Bundle_ja.prope
rties
        \ {0} \u4F8B\u5916\u60C5\u51B5\u53D1\u751F\u3002
\n\u8BF7\u901A\u62A5 
http://www.netbeans.org/devhome/issues.html, \u9644\u5E26 
ide.log \u6587\u4EF6\u3002\n ide.log \u6587\u4EF6\u5728 
{1}/system/ \u6587\u4EF6\u5939\u3002
translatedfiles/src/openide/src/org/openide/Bundle_zh.prope
rties
--

All but one of these ought to point to the /issues.html 
URL which is aleady in place.  I'll file issues requesting
changes to those properties files for each affected module.
Comment 8 jcatchpoole 2003-06-26 16:52:42 UTC
Filed issue 34621, issue 34620, and issue 34617.

Use of these URLs should probably be documented somewhere,
so if a developer needs to link to the site in future they
know which URLs to use ... any ideas where that should go ?
Comment 9 jcatchpoole 2003-07-16 18:54:03 UTC
I added notes about linking to these URLs, or in general 
linking to www, to the web guidelines page at
http://www.netbeans.org/community/guidelines/web-
guide.html#linking  Those notes will propagate to www in
~1hr.

Closing this issue; pls reopen with details if more such
fixed links are required.
Comment 10 Marian Mirilovic 2009-11-08 02:32:28 UTC
We recently moved out from Collabnet's infrastructure
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo